org.richfaces.renderkit.html

## Class MenuItemRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AjaxCommandRendererBase
      - - org.richfaces.renderkit.html.MenuItemRendererBase

- Direct Known Subclasses:
    MenuItemRenderer

      public class MenuItemRendererBase
      extends org.richfaces.renderkit.AjaxCommandRendererBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getIconAttribute(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected javax.faces.component.UIComponent` | `getIconFacet(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected AbstractMenuGroup` | `getMenuGroup(javax.faces.component.UIComponent component)` Returns a parent `AbstractMenuGroup` object of the given component.
    `protected AbstractMenuContainer` | `getMenuParent(javax.faces.component.UIComponent component)` Returns a parent `AbstractDropDownMenu` object of the given component.
    `String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` overridden due to `https://issues.jboss.org/browse/RF-10695`
    `protected String` | `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, String menuParentStyle, String menuGroupStyle, String menuItemStyle)`
    `String` | `getSubmitMode(javax.faces.component.UIComponent component)`
    `protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected boolean` | `isStringEmpty(String str)` It is introduced due to RF-10004 CDK: isEmpty method is generated incorrectly
    `protected org.richfaces.component.Mode` | `resolveSubmitMode(AbstractMenuItem menuItem)`

    - ### Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase

      `isSubmitted, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MenuItemRendererBase

          public MenuItemRendererBase()

  - ### Method Detail

    - #### isDisabled

          protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)

    - #### getIconFacet

          protected javax.faces.component.UIComponent getIconFacet(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

    - #### getIconAttribute

          protected String getIconAttribute(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.AjaxCommandRendererBase`

    - #### getOnClick

          public String getOnClick(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)

      overridden due to `https://issues.jboss.org/browse/RF-10695`
      Overrides:
        `getOnClick` in class `org.richfaces.renderkit.AjaxCommandRendererBase`
      Parameters:
        `context` -
        `component` -

    - #### resolveSubmitMode

          protected org.richfaces.component.Mode resolveSubmitMode(AbstractMenuItem menuItem)

    - #### getStyleClass

          protected String getStyleClass(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent component,
                             String menuParentStyle,
                             String menuGroupStyle,
                             String menuItemStyle)

    - #### getMenuParent

          protected AbstractMenuContainer getMenuParent(javax.faces.component.UIComponent component)

      Returns a parent `AbstractDropDownMenu` object of the given component.
      Parameters:
        `component` -
      Returns:
        `AbstractDropDownMenu`

    - #### getMenuGroup

          protected AbstractMenuGroup getMenuGroup(javax.faces.component.UIComponent component)

      Returns a parent `AbstractMenuGroup` object of the given component.
      Parameters:
        `component` -
      Returns:
        `AbstractMenuGroup`

    - #### isStringEmpty

          protected boolean isStringEmpty(String str)

      It is introduced due to RF-10004 CDK: isEmpty method is generated incorrectly
      Parameters:
        `str` -

    - #### getSubmitMode

          public String getSubmitMode(javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All rights reserved.